'use strict';

// Configuring the Attestations module
angular.module('attestations').run(['Menus',
  function (Menus) {
    // Add the attestations dropdown item
    Menus.addMenuItem('topbar', {
      title: 'Attestations',
      state: 'attestations',
      type: 'dropdown',
      roles: ['*']
    });

    // Add the dropdown list item
    Menus.addSubMenuItem('topbar', 'attestations', {
      title: 'List Attestations',
      state: 'attestations.list'
    });

    // Add the dropdown create item
    Menus.addSubMenuItem('topbar', 'attestations', {
      title: 'Create Attestations',
      state: 'attestations.create',
      roles: ['user']
    });
  }
]);
